Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/html401/files/, app-text/html401/
Date: Wed, 11 Sep 2019 17:58:16
Message-Id: 1568224649.b1107bfd8424a504a5318e708104642e4c40f566.mgorny@gentoo
commit:     b1107bfd8424a504a5318e708104642e4c40f566
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  4 09:12:27 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 17:57:29 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1107bfd

app-text/html401: Bump to EAPI 7, use sgml-catalog-r1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-text/html401/files/html401-decl.diff    |  4 +--
 app-text/html401/html401-19991224-r4.ebuild | 43 +++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 2 deletions(-)

diff --git a/app-text/html401/files/html401-decl.diff b/app-text/html401/files/html401-decl.diff
index 27819a8afd1..e5c5bd4b22d 100644
--- a/app-text/html401/files/html401-decl.diff
+++ b/app-text/html401/files/html401-decl.diff
@@ -1,5 +1,5 @@
---- HTML4.cat.orig	2004-11-06 20:25:39.000000000 +0900
-+++ HTML4.cat	2004-11-06 21:16:08.543377286 +0900
+--- a/HTML4.cat	2004-11-06 20:25:39.000000000 +0900
++++ b/HTML4.cat	2004-11-06 21:16:08.543377286 +0900
 @@ -1,5 +1,9 @@
  OVERRIDE YES
  

diff --git a/app-text/html401/html401-19991224-r4.ebuild b/app-text/html401/html401-19991224-r4.ebuild
new file mode 100644
index 00000000000..8f75a577ac4
--- /dev/null
+++ b/app-text/html401/html401-19991224-r4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+DESCRIPTION="DTDs for the HyperText Markup Language 4.01"
+HOMEPAGE="http://www.w3.org/TR/html401/"
+SRC_URI="http://www.w3.org/TR/html401/html40.tgz"
+
+LICENSE="W3C"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~s390 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE=""
+
+S=${WORKDIR}
+PATCHES=( "${FILESDIR}"/${PN}-decl.diff )
+
+src_install() {
+	insinto /usr/share/sgml/${PN}
+	doins HTML4.cat HTML4.decl *.dtd *.ent
+
+	insinto /etc/sgml
+	newins - html401.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/html401/HTML4.cat"
+	EOF
+
+	docinto html
+	local dirs=( */ )
+	dodoc -r *.html "${dirs[@]%/}"
+}
+
+pkg_preinst() {
+	# work-around old revision removing it
+	cp "${ED}"/etc/sgml/html401.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/html401.cat ]]; then
+		cp "${T}"/html401.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+}